Skip to content

Instantly share code, notes, and snippets.

@lemonad lemonad/gist:3085988
Created Jul 10, 2012

Embed
What would you like to do?
Nodejitsu, another kind of deploy error...
metodiki:hawfinch jonas$ jitsu deploy
path.existsSync is now called `fs.existsSync`.
info: Welcome to Nodejitsu lemonad
info: It worked if it ends with Nodejitsu ok
info: Executing command deploy
info: Analyzing your application dependencies in server.js
warn: Local version appears to be old
warn: Your package.json version will be incremented for you automatically
warn: About to write /Users/jonas/Projects/node.js/hawfinch/package.json
warn: Using '*' as version for dependencies may eventually cause issues.
warn: Please use specific versions for dependencies to avoid future problems.
data:
data: {
data: engines: { node: '0.6.19' },
data: subdomain: 'hawfinch',
data: scripts: { start: 'server.js' },
data: author: 'Jonas Nockert <jonasnockert@gmail.com>',
data: version: '0.0.1-154',
data: repository: { type: 'git', url: 'git://github.com/lemonad/hawfinch.git' },
data: name: 'hawfin.ch',
data: dependencies: {
data: hiredis: '0.1.14',
data: nib: '0.3.2',
data: gravatar: '1.0.6',
data: passport-http-bearer: '0.1.0',
data: async: '0.1.18',
data: jade: '0.20.3',
data: knox: '0.0.9',
data: redis: '0.7.1',
data: imagemagick: '0.1.2',
data: connect-auth: '0.5.0',
data: connect: '2.0.2',
data: express: '2.5.8',
data: formidable: '1.0.9',
data: passport-local: '0.1.0',
data: active-x-obfuscator: '*',
data: sinon: '1.3.1',
data: validator: '0.4.6-3',
data: postmark: '0.1.6',
data: node-schedule: '0.1.5',
data: socket.io: '0.9.2',
data: nconf: '0.5.1',
data: slug: '0.2.2',
data: connect-redis: '1.2.0',
data: stylus: '0.24.0',
data: oauth: '0.9.5',
data: vows: '0.6.1',
data: passport: '0.1.6',
data: markdown: '0.4.0',
data: express-messages: '0.0.2'
data: },
data: files: [ '' ],
data: private: true,
data: directories: { lib: './lib' },
data: domains: [ 'hawfin.ch' ],
data: description: "It's crunch time!"
data: }
data:
prompt: Is this ok? (yes):
info: Creating snapshot 0.0.1-154
info: Updating app hawfin.ch
info: Activating snapshot 0.0.1-154 for hawfin.ch
info: Stopping app hawfin.ch
info: App hawfin.ch is now stopped
info: Starting app hawfin.ch
error: Error running command deploy
error: Nodejitsu Error (500): Internal Server Error
error: There was an error while attempting to deploy your application.
error:
error: NPM Install failed
error: NPM failed to install dependencies
error:
error: This type of error is usually a user error.
error: Error output from Haibu:
error:
error: npm http GET https://registry.npmjs.org/active-x-obfuscator
error: npm http GET https://registry.npmjs.org/async/0.1.18
error: npm http GET https://registry.npmjs.org/connect/2.0.2
error: npm http GET https://registry.npmjs.org/connect-auth/0.5.0
error: npm http GET https://registry.npmjs.org/connect-redis/1.2.0
error: npm http GET https://registry.npmjs.org/express/2.5.8
error: npm http GET https://registry.npmjs.org/express-messages/0.0.2
error: npm http GET https://registry.npmjs.org/formidable/1.0.9
error: npm http GET https://registry.npmjs.org/gravatar/1.0.6
error: npm http GET https://registry.npmjs.org/hiredis/0.1.14
error: npm http GET https://registry.npmjs.org/imagemagick/0.1.2
error: npm http GET https://registry.npmjs.org/jade/0.20.3
error: npm http GET https://registry.npmjs.org/knox/0.0.9
error: npm http GET https://registry.npmjs.org/markdown/0.4.0
error: npm http GET https://registry.npmjs.org/nconf/0.5.1
error: npm http GET https://registry.npmjs.org/nib/0.3.2
error: npm http GET https://registry.npmjs.org/node-schedule/0.1.5
error: npm http GET https://registry.npmjs.org/oauth/0.9.5
error: npm http GET https://registry.npmjs.org/passport/0.1.6
error: npm http GET https://registry.npmjs.org/passport-http-bearer/0.1.0
error: npm http GET https://registry.npmjs.org/passport-local/0.1.0
error: npm http GET https://registry.npmjs.org/postmark/0.1.6
error: npm http GET https://registry.npmjs.org/redis/0.7.1
error: npm http GET https://registry.npmjs.org/sinon/1.3.1
error: npm http GET https://registry.npmjs.org/slug/0.2.2
error: npm http GET https://registry.npmjs.org/socket.io/0.9.2
error: npm http GET https://registry.npmjs.org/stylus/0.24.0
error: npm http GET https://registry.npmjs.org/validator/0.4.6-3
error: npm http GET https://registry.npmjs.org/vows/0.6.1
error: npm http 200 https://registry.npmjs.org/active-x-obfuscator
error: npm http GET https://registry.npmjs.org/active-x-obfuscator/-/active-x-obfuscator-0.0.1.tgz
error: npm http 200 https://registry.npmjs.org/connect-redis/1.2.0
error: npm http GET https://registry.npmjs.org/connect-redis/-/connect-redis-1.2.0.tgz
error: npm http 200 https://registry.npmjs.org/async/0.1.18
error: npm http GET https://registry.npmjs.org/async/-/async-0.1.18.tgz
error: npm http 200 https://registry.npmjs.org/express/2.5.8
error: npm http GET https://registry.npmjs.org/express/-/express-2.5.8.tgz
error: npm http 200 https://registry.npmjs.org/express-messages/0.0.2
error: npm http GET https://registry.npmjs.org/express-messages/-/express-messages-0.0.2.tgz
error: npm http 200 https://registry.npmjs.org/formidable/1.0.9
error: npm http 200 https://registry.npmjs.org/connect/2.0.2
error: npm http 200 https://registry.npmjs.org/connect-auth/0.5.0
error: npm http GET https://registry.npmjs.org/connect/-/connect-2.0.2.tgz
error: npm http GET https://registry.npmjs.org/formidable/-/formidable-1.0.9.tgz
error: npm http GET https://registry.npmjs.org/connect-auth/-/connect-auth-0.5.0.tgz
error: npm http 200 https://registry.npmjs.org/knox/0.0.9
error: npm http GET https://registry.npmjs.org/knox/-/knox-0.0.9.tgz
error: npm http 200 https://registry.npmjs.org/gravatar/1.0.6
error: npm http GET https://registry.npmjs.org/gravatar/-/gravatar-1.0.6.tgz
error: npm http 200 https://registry.npmjs.org/jade/0.20.3
error: npm http GET https://registry.npmjs.org/jade/-/jade-0.20.3.tgz
error: npm http 200 https://registry.npmjs.org/hiredis/0.1.14
error: npm http GET https://registry.npmjs.org/hiredis/-/hiredis-0.1.14.tgz
error: npm http 200 https://registry.npmjs.org/markdown/0.4.0
error: npm http 200 https://registry.npmjs.org/nib/0.3.2
error: npm http GET https://registry.npmjs.org/markdown/-/markdown-0.4.0.tgz
error: npm http GET https://registry.npmjs.org/nib/-/nib-0.3.2.tgz
error: npm http 200 https://registry.npmjs.org/node-schedule/0.1.5
error: npm http 200 https://registry.npmjs.org/imagemagick/0.1.2
error: npm http GET https://registry.npmjs.org/node-schedule/-/node-schedule-0.1.5.tgz
error: npm http GET https://registry.npmjs.org/imagemagick/-/imagemagick-0.1.2.tgz
error: npm http 200 https://registry.npmjs.org/passport-local/0.1.0
error: npm http 200 https://registry.npmjs.org/nconf/0.5.1
error: npm http GET https://registry.npmjs.org/passport-local/-/passport-local-0.1.0.tgz
error: npm http GET https://registry.npmjs.org/nconf/-/nconf-0.5.1.tgz
error: npm http 200 https://registry.npmjs.org/redis/0.7.1
error: npm http GET https://registry.npmjs.org/redis/-/redis-0.7.1.tgz
error: npm http 200 https://registry.npmjs.org/oauth/0.9.5
error: npm http 200 https://registry.npmjs.org/passport/0.1.6
error: npm http GET https://registry.npmjs.org/oauth/-/oauth-0.9.5.tgz
error: npm http GET https://registry.npmjs.org/passport/-/passport-0.1.6.tgz
error: npm http 200 https://registry.npmjs.org/passport-http-bearer/0.1.0
error: npm http GET https://registry.npmjs.org/passport-http-bearer/-/passport-http-bearer-0.1.0.tgz
error: npm http 200 https://registry.npmjs.org/postmark/0.1.6
error: npm http GET https://registry.npmjs.org/postmark/-/postmark-0.1.6.tgz
error: npm http 200 https://registry.npmjs.org/slug/0.2.2
error: npm http 200 https://registry.npmjs.org/sinon/1.3.1
error: npm http GET https://registry.npmjs.org/slug/-/slug-0.2.2.tgz
error: npm http GET https://registry.npmjs.org/sinon/-/sinon-1.3.1.tgz
error: npm http 200 https://registry.npmjs.org/socket.io/0.9.2
error: npm http GET https://registry.npmjs.org/socket.io/-/socket.io-0.9.2.tgz
error: npm http 200 https://registry.npmjs.org/stylus/0.24.0
error: npm http GET https://registry.npmjs.org/stylus/-/stylus-0.24.0.tgz
error: npm http 200 https://registry.npmjs.org/vows/0.6.1
error: npm http 200 https://registry.npmjs.org/validator/0.4.6-3
error: npm http GET https://registry.npmjs.org/vows/-/vows-0.6.1.tgz
error: npm http GET https://registry.npmjs.org/validator/-/validator-0.4.6-3.tgz
error: npm WARN excluding symbolic link lib/knox/mime/index.js -> mime.js
error: npm WARN excluding symbolic link lib/index.js -> jade.js
error: npm http GET https://registry.npmjs.org/zeparser/0.0.5
error: npm http GET https://registry.npmjs.org/unicode
error: npm http 200 https://registry.npmjs.org/zeparser/0.0.5
error: npm http GET https://registry.npmjs.org/zeparser/-/zeparser-0.0.5.tgz
error: npm http GET https://registry.npmjs.org/pkginfo
error: npm http 200 https://registry.npmjs.org/unicode
error: npm http GET https://registry.npmjs.org/unicode/-/unicode-0.4.3.tgz
error: npm http 200 https://registry.npmjs.org/pkginfo
error: npm http GET https://registry.npmjs.org/pkginfo/-/pkginfo-0.2.3.tgz
error: npm http GET https://registry.npmjs.org/bufferstream
error: npm http GET https://registry.npmjs.org/eyes
error: npm http 200 https://registry.npmjs.org/bufferstream
error: npm http GET https://registry.npmjs.org/qs
error: npm http GET https://registry.npmjs.org/mkdirp/0.3.0
error: npm http GET https://registry.npmjs.org/connect
error: npm http GET https://registry.npmjs.org/mime/1.2.4
error: npm http GET https://registry.npmjs.org/bufferstream/-/bufferstream-0.5.1.tgz
error: npm http GET https://registry.npmjs.org/policyfile/0.0.4
error: npm http GET https://registry.npmjs.org/redis/0.6.7
error: npm http GET https://registry.npmjs.org/socket.io-client/0.9.2
error: npm http 200 https://registry.npmjs.org/eyes
error: npm http 200 https://registry.npmjs.org/policyfile/0.0.4
error: npm http GET https://registry.npmjs.org/eyes/-/eyes-0.1.7.tgz
error: npm http 200 https://registry.npmjs.org/mime/1.2.4
error: npm http 200 https://registry.npmjs.org/connect
error: npm http 200 https://registry.npmjs.org/mkdirp/0.3.0
error: npm http 200 https://registry.npmjs.org/qs
error: npm http 200 https://registry.npmjs.org/socket.io-client/0.9.2
error: npm http GET https://registry.npmjs.org/policyfile/-/policyfile-0.0.4.tgz
error: npm http 200 https://registry.npmjs.org/redis/0.6.7
error: npm http GET https://registry.npmjs.org/commander
error: npm http GET https://registry.npmjs.org/mkdirp
error: npm http GET https://registry.npmjs.org/connect/-/connect-1.9.2.tgz
error: npm http GET https://registry.npmjs.org/qs/-/qs-0.4.2.tgz
error: npm http GET https://registry.npmjs.org/redis/-/redis-0.6.7.tgz
error: npm http GET https://registry.npmjs.org/mime/-/mime-1.2.4.tgz
error: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.0.tgz
error: npm http GET https://registry.npmjs.org/socket.io-client/-/socket.io-client-0.9.2.tgz
error: npm http 200 https://registry.npmjs.org/mkdirp
error: npm http 200 https://registry.npmjs.org/commander
error: npm http GET https://registry.npmjs.org/mkdirp/-/mkdirp-0.3.3.tgz
error: npm http GET https://registry.npmjs.org/commander/-/commander-0.5.2.tgz
error: npm http GET https://registry.npmjs.org/ini
error: npm http GET https://registry.npmjs.org/optimist
error: npm http GET https://registry.npmjs.org/pkginfo
error: npm http 304 https://registry.npmjs.org/pkginfo
error: npm http 200 https://registry.npmjs.org/optimist
error: npm http 200 https://registry.npmjs.org/ini
error: npm http GET https://registry.npmjs.org/optimist/-/optimist-0.3.4.tgz
error: npm http GET https://registry.npmjs.org/ini/-/ini-1.0.2.tgz
error: npm http GET https://registry.npmjs.org/debug
error: npm http GET https://registry.npmjs.org/cssom/0.2.2
error: npm http GET https://registry.npmjs.org/growl
error: npm http GET https://registry.npmjs.org/mkdirp
error: npm http 304 https://registry.npmjs.org/mkdirp
error: npm http 200 https://registry.npmjs.org/growl
error: npm http 200 https://registry.npmjs.org/debug
error: npm http 200 https://registry.npmjs.org/cssom/0.2.2
error: npm http GET https://registry.npmjs.org/growl/-/growl-1.4.1.tgz
error: npm http GET https://registry.npmjs.org/debug/-/debug-0.7.0.tgz
error: npm http GET https://registry.npmjs.org/cssom/-/cssom-0.2.2.tgz
error: npm http GET https://registry.npmjs.org/qs/0.4.2
error: npm http 200 https://registry.npmjs.org/qs/0.4.2
error: npm http GET https://registry.npmjs.org/buffertools
error: npm http GET https://registry.npmjs.org/qs/-/qs-0.4.2.tgz
error: npm http 200 https://registry.npmjs.org/buffertools
error: npm http GET https://registry.npmjs.org/openid/0.4.1
error: npm http GET https://registry.npmjs.org/connect/2.0.0
error: npm http GET https://registry.npmjs.org/buffertools/-/buffertools-1.1.0.tgz
error: npm http 200 https://registry.npmjs.org/openid/0.4.1
error: npm http 200 https://registry.npmjs.org/connect/2.0.0
error: npm http GET https://registry.npmjs.org/connect/-/connect-2.0.0.tgz
error: npm http GET https://registry.npmjs.org/openid/-/openid-0.4.1.tgz
error: async.c: In function '__redisAsyncCommand':
error: async.c:538:10: warning: 'cstr' may be used uninitialized in this function [-Wuninitialized]
error: id: cannot find name for user ID 501
error: npm WARN excluding symbolic link lib/socket.io-client.js -> io.js
error: npm http GET https://registry.npmjs.org/wordwrap
error: npm http 200 https://registry.npmjs.org/wordwrap
error: npm http GET https://registry.npmjs.org/wordwrap/-/wordwrap-0.0.2.tgz
error: Setting srcdir to : /opt/haibu/apps/lemonad/hawfin.ch/package/node_modules/hiredis
error: Setting blddir to : /opt/haibu/apps/lemonad/hawfin.ch/package/node_modules/hiredis/build
error: Checking for program g++ or c++ : /opt/local/bin/g++
error: Checking for program cpp : /opt/local/bin/cpp
error: Checking for program ar : /opt/local/bin/ar
error: Checking for program ranlib : /opt/local/bin/ranlib
error: Checking for g++ : ok
error: Checking for node path : ok /opt/haibu/node-versions/0.6.19/lib/node_modules
error: Checking for node prefix : ok /opt/haibu/node-versions/0.6.19
error: 'configure' finished successfully (0.336s)
error: Waf: Entering directory `/opt/haibu/apps/lemonad/hawfin.ch/package/node_modules/hiredis/build'
error: [1/3] cxx: hiredis.cc -> build/Release/hiredis_1.o
error: [2/3] cxx: reader.cc -> build/Release/reader_1.o
error: npm http GET https://registry.npmjs.org/qs
error: npm http GET https://registry.npmjs.org/mime/1.2.4
error: npm http GET https://registry.npmjs.org/debug
error: [3/3] cxx_link: build/Release/hiredis_1.o build/Release/reader_1.o -> build/Release/hiredis.node
error: ld: warning: file ../deps/hiredis/libhiredis.a(hiredis.o): wrong ELF class: ELFCLASS32
error: Waf: Leaving directory `/opt/haibu/apps/lemonad/hawfin.ch/package/node_modules/hiredis/build'
error: 'build' finished successfully (5.653s)
error: npm http GET https://registry.npmjs.org/nopt
error: npm http 304 https://registry.npmjs.org/debug
error: npm http 304 https://registry.npmjs.org/mime/1.2.4
error: npm http 304 https://registry.npmjs.org/qs
error: npm http 200 https://registry.npmjs.org/nopt
error: npm http GET https://registry.npmjs.org/nopt/-/nopt-1.0.10.tgz
error: npm http GET https://registry.npmjs.org/abbrev
error: npm http 200 https://registry.npmjs.org/abbrev
error: npm http GET https://registry.npmjs.org/abbrev/-/abbrev-1.0.3.tgz
error: npm http GET https://registry.npmjs.org/uglify-js/1.2.5
error: npm http GET https://registry.npmjs.org/ws
error: npm http GET https://registry.npmjs.org/xmlhttprequest/1.2.2
error: npm http 200 https://registry.npmjs.org/xmlhttprequest/1.2.2
error: npm http GET https://registry.npmjs.org/xmlhttprequest/-/xmlhttprequest-1.2.2.tgz
error: npm http 200 https://registry.npmjs.org/ws
error: npm http 200 https://registry.npmjs.org/uglify-js/1.2.5
error: npm http GET https://registry.npmjs.org/ws/-/ws-0.4.20.tgz
error: npm http GET https://registry.npmjs.org/uglify-js/-/uglify-js-1.2.5.tgz
error: npm http GET https://registry.npmjs.org/tinycolor
error: npm http GET https://registry.npmjs.org/options
error: npm http GET https://registry.npmjs.org/commander
error: npm http 200 https://registry.npmjs.org/options
error: npm http 200 https://registry.npmjs.org/tinycolor
error: npm http 304 https://registry.npmjs.org/commander
error: npm http GET https://registry.npmjs.org/commander/-/commander-0.6.1.tgz
error: npm http GET https://registry.npmjs.org/options/-/options-0.0.3.tgz
error: npm http GET https://registry.npmjs.org/tinycolor/-/tinycolor-0.0.1.tgz
error: gyp ERR! rebuild error Error: Python executable "python" is Python 3, which is not supported.
error: gyp ERR! rebuild error You can set the PYTHON env variable to point to a Python 2 interpreter.
error: gyp ERR! rebuild error at failPython3 (/opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:90:14)
error: gyp ERR! rebuild error at /opt/haibu/node-versions/0.6.19/lib/node_modules/npm/node_modules/node-gyp/lib/configure.js:79:9
error: gyp ERR! rebuild error at ChildProcess.exithandler (child_process.js:280:7)
error: gyp ERR! rebuild error at ChildProcess.emit (events.js:70:17)
error: gyp ERR! rebuild error at maybeExit (child_process.js:362:16)
error: gyp ERR! rebuild error at Process.onexit (child_process.js:398:5)
error: gyp ERR! not ok
error: npm ERR! buffertools@1.1.0 install: `node-gyp rebuild`
error: npm ERR! `sh "-c" "node-gyp rebuild"` failed with 1
error: npm ERR!
error: npm ERR! Failed at the buffertools@1.1.0 install script.
error: npm ERR! This is most likely a problem with the buffertools package,
error: npm ERR! not with npm itself.
error: npm ERR! Tell the author that this fails on your system:
error: npm ERR! node-gyp rebuild
error: npm ERR! You can get their info via:
error: npm ERR! npm owner ls buffertools
error: npm ERR! There is likely additional logging output above.
error:
error: npm ERR! System SunOS 5.11
error: npm ERR! command "node" "/opt/haibu/node-versions/0.6.19/bin/npm" "--cache" "/opt/haibu/apps/lemonad/hawfin.ch/.npm" "--userconfig" "/opt/haibu/apps/lemonad/hawfin.ch/.userconfig" "--globalconfig" "/opt/haibu/apps/lemonad/hawfin.ch/.globalconfig" "install"
error: npm ERR! cwd /opt/haibu/apps/lemonad/hawfin.ch/package
error: npm ERR! node -v v0.6.19
error: npm ERR! npm -v 1.1.32
error: npm ERR! code ELIFECYCLE
error: npm ERR! message buffertools@1.1.0 install: `node-gyp rebuild`
error: npm ERR! message `sh "-c" "node-gyp rebuild"` failed with 1
error: npm ERR!
error: npm ERR! Additional logging details can be found in:
error: npm ERR! /opt/haibu/apps/lemonad/hawfin.ch/package/npm-debug.log
error: npm ERR! not ok code undefined
error: npm ERR! not ok code 1
error:
info: Nodejitsu not ok
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.